using System.Linq;
using Application;
using Domain;

namespace Infrastructure.Repositories.Memory
{
  public class Data : IData
  {
    private readonly LinkRepository _linkRepository;
    private readonly CommentRepository _commentRepository;

    public IQueryable<Link> Links => _linkRepository.Links.AsQueryable();

    public IQueryable<Comment> Comments => _commentRepository.Comments.AsQueryable();

    public Data(LinkRepository linkRepository, CommentRepository commentRepository)
    {
      _linkRepository = linkRepository;
      _commentRepository = commentRepository;
    }
  }
}